//Board thickness (mm)
thickness = 5;

//New SMA hole diameter (mm)
sma_diameter = 6.6 + 0.2;

//Original SMA hole diameter (mm)
org_sma_diameter = 6.6 + 0.6;

//SMA indent (mm)
sma_indent = 0.4;

// Original connectors positions
original_left_x = 20.675;
original_right_x = 20.675 + 23.45;
distance_between_left_and_right = 11.725;
original_y = 6.925;
new_y = 11.25;

//Face number
$fn=100;

// https://heavydeck.net/blog/wifi-antenna-on-case-rs-232-cutout/
module sma_cutout(x, y)
{
    translate([x, y, 1.5])
        difference()
        {
            cylinder(h=thickness*1.1, d=sma_diameter, center=true);
            translate([0, -sma_diameter+sma_indent, 0])
                cube([sma_diameter,sma_diameter, thickness*1.2], center=true);
        }
}

difference()
{
    // Original Analog STEP file extract
    translate([46.97, -2.6, -24.15])
        rotate([-90, 0, 0])
            import("original_panel.stl");

    // External clock
    sma_cutout(original_left_x + distance_between_left_and_right, new_y);

    // TX 1
    translate([original_left_x, original_y, 1.5])
        cylinder(h=thickness*1.1, d=org_sma_diameter, center=true);

    // RX 1
    translate([original_right_x, original_y, 1.5])
        cylinder(h=thickness*1.1, d=org_sma_diameter, center=true);

    // TX 2
    sma_cutout(original_left_x - distance_between_left_and_right, new_y);

    // RX 2
    sma_cutout(original_right_x + distance_between_left_and_right, new_y);
}
